```mermaid
graph
  classDef blue   fill:#08f, color:#d8d8d8, stroke-width: 0
  classDef yellow fill:#dd0, color:#a0c, stroke-width: 0
  classDef green  fill:#8c8, color:#333, stroke-width: 0
  classDef purple stroke:#c38, stroke-width:2px, fill:#bbf, color:#c38
  classDef orange fill:#d60, color:#dff, stroke-width: 0
  classDef fuscia fill:#f6c, color:#00c

  nodeSpec(Node spec<br />Matrix homeservers):::blue
  storageSpec(Storage spec<br />Matrix homeservers):::orange
  archiveSpec(Archive spec<br />Weavechain):::green
  blockchainSpec(Blockchain spec):::purple
  peerProtocolSpec(Peer protocol spec<br />Matrix messaging):::yellow
  uiSpec(UI spec<br />Matrix client):::fuscia


  nodeSpec --- uiSpec
    linkStyle 0 stroke:#08f
  nodeSpec --- storageSpec
    linkStyle 1 stroke:#08f
  nodeSpec --- peerProtocolSpec
    linkStyle 2 stroke:#08f
  nodeSpec --- archiveSpec
    linkStyle 3 stroke:#08f
  nodeSpec --- blockchainSpec
    linkStyle 4 stroke:#08f

  peerProtocolSpec --- storageSpec
    linkStyle 5 stroke:#d60

  storageSpec --- blockchainSpec
    linkStyle 6 stroke:#c38
  storageSpec --- archiveSpec
    linkStyle 7 stroke:#8c8

  archiveSpec --- blockchainSpec
    linkStyle 8 stroke:#c38

  uiSpec --- blockchainSpec
    linkStyle 9 stroke:#c38
  uiSpec --- archiveSpec
    linkStyle 10 stroke:#8c8
  uiSpec --- storageSpec
    linkStyle 11 stroke:#d60
```

```mermaid
graph

forum --- pool
availability --- business
business --- forum
business --- pool

```
